Bug 1022098 - findbugs-bcel: remove versioned jars from %{_javadir}
findbugs-bcel: remove versioned jars from %{_javadir}
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: findbugs-bcel (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard Fearn
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1022024
  Show dependency treegraph
 
Reported: 2013-10-22 11:42 EDT by Stanislav Ochotnicky
Modified: 2014-02-22 18:39 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-22 18:39:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stanislav Ochotnicky 2013-10-22 11:42:39 EDT
Package findbugs-bcel seems to contain versioned jar files in %{_javadir}
(/usr/share/java). Such versioned files cause problems for automatic
requires generation and violate packaging guidelines[1].

List of subpackages and contained versioned jars
findbugs-bcel:
/usr/share/java/findbugs-bcel-1.3.8.jar


There are cases where this can be a false positive. Most likely if:
   * your package is compatibility version and contains only versioned
     jars
   * your package has version in the name of jars that are part of
     package name

Thank you,

[1] https://fedoraproject.org/wiki/Packaging:Java#Filenames
Comment 1 Richard Fearn 2013-10-26 07:01:19 EDT
I'm in the process of updating FindBugs at the moment so the findbugs-bcel version has changed. The JAR still has a version number in its filename, though:

/usr/share/java/findbugs-bcel-20130910svn1521566.jar

I'll fix this once FindBugs is up-to-date.
Comment 2 Richard Fearn 2014-02-22 18:39:35 EST
Fixed in rawhide:

http://koji.fedoraproject.org/koji/buildinfo?buildID=500002

Note You need to log in before you can comment on or make changes to this bug.